# Uses of Class
org.eclipse.jface.dialogs.PageChangingEvent

Packages that use PageChangingEvent
Package
Description
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.wizard
Provides a framework for wizards.

## Uses of PageChangingEvent in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs with parameters of type PageChangingEvent
Modifier and Type
Method
Description
`void`
IPageChangingListener.`handlePageChanging(PageChangingEvent event)`
Handle the an `IDialogPage` changing.

## Uses of PageChangingEvent in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard with parameters of type PageChangingEvent
Modifier and Type
Method
Description
`protected void`
WizardDialog.`firePageChanging(PageChangingEvent event)`
Notifies any page changing listeners that the currently selected dialog page is changing.